import { IMTBLWidgetEvents, SaleWidgetParams, WidgetProperties, WidgetType } from '@imtbl/checkout-sdk';
import { Base } from '../BaseWidgetRoot';
export declare class Sale extends Base<WidgetType.SALE> {
    protected eventTopic: IMTBLWidgetEvents;
    private isValidArray;
    private deduplicateItems;
    protected getValidatedProperties({ config, }: WidgetProperties<WidgetType.SALE>): WidgetProperties<WidgetType.SALE>;
    protected getValidatedParameters(params: SaleWidgetParams): SaleWidgetParams;
    protected render(): void;
}
